> ## Documentation Index
> Fetch the complete documentation index at: https://api.quizrise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Quiz Question API

> Update an existing question content and answer options



## OpenAPI

````yaml PUT /question
openapi: 3.0.1
info:
  license:
    name: MIT
  title: QuizRise API
  version: 1.0.0
  description: API for managing quizzes, questions, and related operations
servers:
  - url: https://app.quizrise.com/api/v1
security:
  - bearerAuth: []
paths:
  /question:
    put:
      summary: Update a question
      description: Updates a specific question by its ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateQuestionParams'
      responses:
        '200':
          description: Question successfully updated
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateQuestionResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized access
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: Question not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Unknown error occurred
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateQuestionParams:
      type: object
      properties:
        questionId:
          type: string
        text:
          type: string
        choices:
          type: array
          items:
            $ref: '#/components/schemas/Choice'
      required:
        - questionId
    UpdateQuestionResponse:
      type: object
      properties:
        status:
          type: string
          enum:
            - success
        message:
          type: string
        question:
          type: object
          properties:
            id:
              type: string
            text:
              type: string
            choices:
              type: array
              items:
                $ref: '#/components/schemas/Choice'
          required:
            - id
            - text
            - choices
      required:
        - status
        - message
        - question
    Error:
      type: object
      properties:
        status:
          type: string
          enum:
            - error
        message:
          type: string
    Choice:
      type: object
      properties:
        id:
          type: string
        text:
          type: string
        isCorrect:
          type: boolean
      required:
        - id
        - text
        - isCorrect
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````